NX Open C++ Reference Guide
Classes | Public Types | Public Member Functions | List of all members
NXOpen::Weld::JointExitBuilder Class Reference

Used to set custom edge preparation parameters of a Weld::WeldJoint feaure. More...

Inheritance diagram for NXOpen::Weld::JointExitBuilder:
NXOpen::Weld::WeldJointBuilder NXOpen::Weld::StructureWeldBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Classes

struct  FilletSizes
 The structure for defining fillet weld lengths. More...
 

Public Types

enum  BodySide { BodySideFirst, BodySideSecond }
 Settings to indicate the side the positions should be applied to. More...
 
enum  Positions {
  PositionsUpperChamfer, PositionsUpper, PositionsMiddle, PositionsLower,
  PositionsLowerChamfer
}
 Settings to indicate the desired position of edge preporation thickness and angle. More...
 
- Public Types inherited from NXOpen::Weld::WeldJointBuilder
enum  CoordinateSystem { CoordinateSystemAbsolute, CoordinateSystemShip }
 Coordinate system specification. More...
 
enum  DestinationTypes { DestinationTypesWorkPart, DestinationTypesNewComponent }
 Where to create new joints. More...
 
enum  SplitTypes {
  SplitTypesEqualSegments, SplitTypesLimits, SplitTypesAngle, SplitTypesComputedAngle,
  SplitTypesLength, SplitTypesNone
}
 Joint splitting options. More...
 
enum  Types { TypesCreateAutomatic, TypesCreateManual, TypesCreateMultiple, TypesCreateAttributes }
 Creation method. More...
 
enum  WeldTypes {
  WeldTypesAny, WeldTypesGroove, WeldTypesFillet, WeldTypesCorner,
  WeldTypesLap, WeldTypesSocket, WeldTypesMechanical
}
 Weld types. More...
 

Public Member Functions

void GetEdgePrepValues (NXOpen::Weld::JointExitBuilder::Positions position, double *thickness, double *angle)
 Gets the thickness and angle combination to set for the desired weld position
Created in NX8.0.0.
 
NXOpen::Weld::JointExitBuilder::FilletSizes GetFilletLengths ()
 Gets the fillet weld values for the side of the welding joint.
 
NXOpen::Weld::JointExitBuilder::FilletSizes GetOppositeFilletLengths ()
 Gets the fillet weld values for the opposite side of the welding joint.
 
double RootOpening ()
 Returns the desired gap between bodies being welded
Created in NX8.0.0.
 
void SetBothFilletLengths (const NXOpen::Weld::JointExitBuilder::FilletSizes &sizes)
 Sets the symmetric fillet weld values for a welding joint.
 
void SetEdgePrepValues (NXOpen::Weld::JointExitBuilder::Positions position, double thickness, double angle)
 This method should be called multiple times.
 
void SetFilletLengths (const NXOpen::Weld::JointExitBuilder::FilletSizes &sizes)
 Sets the fillet weld values for the side of the welding joint.
 
void SetOppositeFilletLengths (const NXOpen::Weld::JointExitBuilder::FilletSizes &sizes)
 Sets the fillet weld values for the opposite side of the welding joint.
 
void SetRootOpening (double rootOpening)
 Sets the desired gap between bodies being welded
Created in NX8.0.0.
 
void SetSide (NXOpen::Weld::JointExitBuilder::BodySide side)
 Sets the side edge preparation values will be applied to
Created in NX8.0.0.
 
NXOpen::Weld::JointExitBuilder::BodySide Side ()
 Returns the side edge preparation values will be applied to
Created in NX8.0.0.
 
- Public Member Functions inherited from NXOpen::Weld::WeldJointBuilder
NXOpen::ScCollectorBackingFace ()
 Returns the backing face.
 
int ButtColor ()
 Returns the color for butt weld type joints
Created in NX8.0.0.
 
NXOpen::LineColorFontWidthBuilderButtColorFontWidth ()
 Returns the color, font, and width of the butt joint curves.
 
NXOpen::DisplayableObject::ObjectFont ButtFont ()
 Returns the curve font for butt weld type joints
Created in NX8.0.0.
 
NXOpen::DisplayableObject::ObjectWidth ButtWidth ()
 Returns the curve with for butt weld type joints
Created in NX8.0.0.
 
void CopyLimits (NXOpen::Die::DieLimitsBuilder *limits)
 Copy input limits to builder limits
Created in NX8.5.0.
 
NXOpen::LineColorFontWidthBuilderCornerColorFontWidth ()
 Returns the color, font, and width of the corner joint curves.
 
NXOpen::CurveCreateLimitsPath (NXOpen::Curve *jointCurve)
 Creates the path to be used for the limits.
 
NXOpen::Weld::WeldJointBuilder::Types CreateMethod ()
 Returns the creation method
Created in NX8.0.0.
 
void CreateSingleJointFromFeature (NXOpen::Curve *featureCurve, bool updateBuilder)
 Creates a joint from a feature.
 
void Delete ()
 Deletes all joints set by Weld::WeldJointBuilder::Joint .
 
void DeleteAllUnMarkedJoints ()
 Deletes any joints that were not marked with a call to Weld::WeldJointBuilder::MarkJointsToKeep .
 
NXOpen::Weld::WeldJointBuilder::DestinationTypes Destination ()
 Returns the destination to create new joints
Created in NX8.0.0.
 
bool DuplicateCheck ()
 Returns the indication to not allow new joints to be created if they are duplicates of exising joints
Created in NX8.0.0.
 
int FilletColor ()
 Returns the color for T-joint weld type joints
Created in NX8.0.0.
 
NXOpen::DisplayableObject::ObjectFont FilletFont ()
 Returns the curve font for T-joint weld type joints
Created in NX8.0.0.
 
NXOpen::DisplayableObject::ObjectWidth FilletWidth ()
 Returns the curve with for T-joint weld type joints
Created in NX8.0.0.
 
double GetAngleBetween ()
 Gets the angle between the fillet weld mold faces, and the target faces, or butt weld primary and secondary faces.
 
bool GetIsLongPoint ()
 Gets the long point status.
 
bool GetJointChanged (NXOpen::Curve *curve)
 Indicates whether joint was changed.
 
NXOpen::Die::DieLimitsBuilderGetJointLimits (NXOpen::Curve *curve)
 Get the limits of an individual joint.
 
bool GetMidPointInformation (NXOpen::Weld::WeldJointBuilder::CoordinateSystem desiredCoordinateSystem, NXOpen::Weld::WeldJointBuilder::JointMidPointData *jointMidPointData)
 Gets the joint curve mid point, tangent, and face normals at the mid point from the primary and secondary bodies.
 
void GetNewlyCreatedJoints (std::vector< NXOpen::Curve * > &curves, std::vector< NXOpen::Weld::JointItemBuilder * > &newItemBuilder)
 Gets the Weld::JointItemBuilder objects and curves which were just created by Weld::WeldJointBuilder::ShowJoints .
 
double GetPrimaryThickness (NXOpen::Curve *curve)
 Gets the primary thickness for a specified joint.
 
double GetSecondaryThickness (NXOpen::Curve *curve)
 Gets the primary secondary for a specified joint.
 
NXOpen::Weld::JointItemBuilderGetSingleJoint (NXOpen::Curve *curve)
 Gets the Weld::JointItemBuilder object associated to the input curve.
 
void GetVariableBevelAngles (std::vector< double > &variableAngles)
 Gets variable bevel angles.
 
NXOpen::SelectCurveListJoint ()
 Returns the welding joint curves.
 
NXOpen::Weld::JointItemBuilderListJointList ()
 Returns the list of Weld::JointItemBuilder objects.
 
NXOpen::LineColorFontWidthBuilderLapColorFontWidth ()
 Returns the color, font, and width of the lap joint curves.
 
NXOpen::Die::DieLimitsBuilderListLimitList ()
 Returns the list of limit builders.
 
NXOpen::Die::DieLimitsBuilderLimits ()
 Returns the limits of the joint curve span.
 
void MarkJointsToKeep ()
 Marks all currently created welding joints so they do not get deleted when Weld::WeldJointBuilder::DeleteAllUnMarkedJoints is called from the dialog.
 
NXOpen::ScCollectorMasterEdge ()
 Returns the master edge of a fillet weld.
 
double MaximumFaceGap ()
 Returns the maximum face gap used when determining if two bodies intersect.
 
NXOpen::LineColorFontWidthBuilderMechanicalColorFontWidth ()
 Returns the color, font, and width of the mechanical joint curves.
 
NXString NamePrefix ()
 Returns the prefix used for the welding joint Design Feature name in Collaborative Product Development mode
Created in NX8.5.0.
 
NXOpen::Weld::JointItemBuilderNewItem ()
 Creates a Weld::JointItemBuilder object.
 
int NumberSegments ()
 Returns the number of segments to divide a joint when using Weld::WeldJointBuilder::SplitTypesEqualSegments .
 
NXOpen::ScCollectorPlacementFace ()
 Returns the placement face of a fillet weld.
 
NXOpen::ScCollectorPrimaryEdge ()
 Returns the primary edge of a butt weld.
 
NXOpen::ScCollectorPrimaryFace ()
 Returns the primary face of a butt weld.
 
NXOpen::ScCollectorSecondaryEdge ()
 Returns the secondary edge of a butt weld.
 
NXOpen::ScCollectorSecondaryFace ()
 Returns the secondary face of a butt weld.
 
void SetButtColor (int color)
 Sets the color for butt weld type joints
Created in NX8.0.0.
 
void SetButtFont (NXOpen::DisplayableObject::ObjectFont font)
 Sets the curve font for butt weld type joints
Created in NX8.0.0.
 
void SetButtWidth (NXOpen::DisplayableObject::ObjectWidth width)
 Sets the curve with for butt weld type joints
Created in NX8.0.0.
 
void SetCallbackMessage (const NXString &message)
 Sets a message to display after callback processing ends
Created in NX8.5.0.
 
void SetCallbackMessage (const char *message)
 Sets a message to display after callback processing ends
Created in NX8.5.0.
 
void SetCreateMethod (NXOpen::Weld::WeldJointBuilder::Types type)
 Sets the creation method
Created in NX8.0.0.
 
void SetDestination (NXOpen::Weld::WeldJointBuilder::DestinationTypes type)
 Sets the destination to create new joints
Created in NX8.0.0.
 
void SetDuplicateCheck (bool status)
 Sets the indication to not allow new joints to be created if they are duplicates of exising joints
Created in NX8.0.0.
 
void SetErrorMessage (const NXString &message)
 Sets an error message to display
Created in NX8.5.0.
 
void SetErrorMessage (const char *message)
 Sets an error message to display
Created in NX8.5.0.
 
void SetFilletColor (int color)
 Sets the color for T-joint weld type joints
Created in NX8.0.0.
 
void SetFilletFont (NXOpen::DisplayableObject::ObjectFont font)
 Sets the curve font for T-joint weld type joints
Created in NX8.0.0.
 
void SetFilletWidth (NXOpen::DisplayableObject::ObjectWidth width)
 Sets the curve with for T-joint weld type joints
Created in NX8.0.0.
 
void SetJointChanged (NXOpen::Curve *curve, bool changed)
 Indicate that joint was changed.
 
void SetMaximumFaceGap (double gapValue)
 Sets the maximum face gap used when determining if two bodies intersect.
 
void SetNamePrefix (const NXString &prefix)
 Sets the prefix used for the welding joint Design Feature name in Collaborative Product Development mode
Created in NX8.5.0.
 
void SetNamePrefix (const char *prefix)
 Sets the prefix used for the welding joint Design Feature name in Collaborative Product Development mode
Created in NX8.5.0.
 
void SetNumberSegments (int numberSegments)
 Sets the number of segments to divide a joint when using Weld::WeldJointBuilder::SplitTypesEqualSegments .
 
void SetSplitAngle (double angle)
 Sets the split angle to divide a joint when using Weld::WeldJointBuilder::SplitTypesAngle .
 
void SetSplitLength (double length)
 Sets the split length to divide a joint when using Weld::WeldJointBuilder::SplitTypesLength .
 
void SetSplitOption (NXOpen::Weld::WeldJointBuilder::SplitTypes option)
 Sets the method used to split the joint
Created in NX8.0.0.
 
void SetType (NXOpen::Weld::WeldJointBuilder::Types type)
 Sets the creation type
Created in NX8.0.0.
 
void SetVariableBevelAngles (const std::vector< double > &variableAngles)
 This method is for use with the variable bevel callback.
 
void SetWeldType (NXOpen::Weld::WeldJointBuilder::WeldTypes type)
 Sets the weld type
Created in NX8.0.0.
 
void SetWorkPart (NXOpen::Part *part)
 Sets the saved work part
Created in NX8.5.0.
 
NXOpen::SelectBodyListShipComponent ()
 Returns the components on which the welding joints will be created.
 
void ShowJoints ()
 Show joints will create joints using the method set by Weld::WeldJointBuilder::Types .
 
NXOpen::LineColorFontWidthBuilderSocketColorFontWidth ()
 Returns the color, font, and width of the socket joint curves.
 
void Split ()
 Splits all joints set by Weld::WeldJointBuilder::Joint defined by Weld::WeldJointBuilder::SplitTypes .
 
double SplitAngle ()
 Returns the split angle to divide a joint when using Weld::WeldJointBuilder::SplitTypesAngle .
 
double SplitLength ()
 Returns the split length to divide a joint when using Weld::WeldJointBuilder::SplitTypesLength .
 
NXOpen::Weld::WeldJointBuilder::SplitTypes SplitOption ()
 Returns the method used to split the joint
Created in NX8.0.0.
 
NXOpen::ScCollectorTargetFace ()
 Returns the target face of a fillet weld.
 
NXOpen::LineColorFontWidthBuilderTJointColorFontWidth ()
 Returns the color, font, and width of the T-joint curves.
 
NXOpen::Weld::WeldJointBuilder::Types Type ()
 Returns the creation type
Created in NX8.0.0.
 
void UpdateCollectors (NXOpen::Curve *jointCurve)
 Updates the main collectors by copying data from Joint.
 
void UpdateJointAfterLimitsChange ()
 Updates the joint curve after the limits change.
 
void UpdateJointAfterLimitsChange (NXOpen::Die::DieLimitsBuilder *limits)
 Updates the joint curve after the limits change.
 
void UpdateJointType (NXOpen::Weld::WeldJointBuilder::WeldTypes type)
 Updates all joints set by Weld::WeldJointBuilder::Joint to have the given type.
 
NXOpen::Weld::CharacteristicsBuilderWeldingCharacteristics ()
 Returns the collection of welding characteristics defined by attributes.
 
NXOpen::Weld::WeldJointBuilder::WeldTypes WeldType ()
 Returns the weld type
Created in NX8.0.0.
 
NXOpen::PartWorkPart ()
 Returns the saved work part
Created in NX8.5.0.
 
- Public Member Functions inherited from NXOpen::Weld::StructureWeldBuilder
std::vector
< NXOpen::Assemblies::Component * > 
GetCommittedComponents ()
 This method returns the component parts that are created by Builder::Commit .
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder.
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder.
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit.
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder.
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results.
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called.
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t GetTag () const
 
<b>Deprecated</b>:<br>

   Use Tag instead.

 
tag_t Tag () const
 Returns the tag of this object.
 

Detailed Description

Used to set custom edge preparation parameters of a Weld::WeldJoint feaure.


To create a new instance of this class, use Weld::WeldManager::CreateJointExitBuilder
Default values.

Property Value

NumberSegments

2

RootOpening

0

SplitAngle

5.0


Created in NX8.0.0.

Member Enumeration Documentation

Settings to indicate the side the positions should be applied to.

Enumerator:
BodySideFirst 

the first side.

For fillet welds only this needs to be specified.

BodySideSecond 

the other side.

This is only used for butt welds.

Settings to indicate the desired position of edge preporation thickness and angle.

Enumerator:
PositionsUpperChamfer 

the upper chamfer position

PositionsUpper 

the upper position

PositionsMiddle 

the middle position

PositionsLower 

the lower position

PositionsLowerChamfer 

the lower chamfer position

Member Function Documentation

void NXOpen::Weld::JointExitBuilder::GetEdgePrepValues ( NXOpen::Weld::JointExitBuilder::Positions  position,
double *  thickness,
double *  angle 
)

Gets the thickness and angle combination to set for the desired weld position
Created in NX8.0.0.



License requirements : None

Parameters
positionPosition of edge preparation values to set.
thicknessThe thickness depth for this position.
angleThe angle of edge preporation for this position.
NXOpen::Weld::JointExitBuilder::FilletSizes NXOpen::Weld::JointExitBuilder::GetFilletLengths ( )

Gets the fillet weld values for the side of the welding joint.

Returns
The fillet sizes for the side of the welding joint
Created in NX8.0.0.

License requirements : None
NXOpen::Weld::JointExitBuilder::FilletSizes NXOpen::Weld::JointExitBuilder::GetOppositeFilletLengths ( )

Gets the fillet weld values for the opposite side of the welding joint.

Returns
The fillet sizes for the opposite side of the welding joint
Created in NX8.0.0.

License requirements : None
double NXOpen::Weld::JointExitBuilder::RootOpening ( )

Returns the desired gap between bodies being welded
Created in NX8.0.0.



License requirements : None

void NXOpen::Weld::JointExitBuilder::SetBothFilletLengths ( const NXOpen::Weld::JointExitBuilder::FilletSizes sizes)

Sets the symmetric fillet weld values for a welding joint.


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
sizesThe symmetric fillet sizes for both sides of the welding joint
void NXOpen::Weld::JointExitBuilder::SetEdgePrepValues ( NXOpen::Weld::JointExitBuilder::Positions  position,
double  thickness,
double  angle 
)

This method should be called multiple times.

First set the BodySide then call this method for each Position. For Butt welds this function should be used to set each side. After the primary side is set, change the BodySide and call this method for the secondary side. For Fillet welds, only the primary side needs to be set.


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
positionPosition of edge preparation values to set.
thicknessThe thickness depth for this position.
angleThe angle of edge preporation for this position.
void NXOpen::Weld::JointExitBuilder::SetFilletLengths ( const NXOpen::Weld::JointExitBuilder::FilletSizes sizes)

Sets the fillet weld values for the side of the welding joint.


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
sizesThe fillet sizes for the side of the welding joint
void NXOpen::Weld::JointExitBuilder::SetOppositeFilletLengths ( const NXOpen::Weld::JointExitBuilder::FilletSizes sizes)

Sets the fillet weld values for the opposite side of the welding joint.


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
sizesThe fillet sizes for the opposite side of the welding joint
void NXOpen::Weld::JointExitBuilder::SetRootOpening ( double  rootOpening)

Sets the desired gap between bodies being welded
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
rootOpeningrootopening
void NXOpen::Weld::JointExitBuilder::SetSide ( NXOpen::Weld::JointExitBuilder::BodySide  side)

Sets the side edge preparation values will be applied to
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
sideside
NXOpen::Weld::JointExitBuilder::BodySide NXOpen::Weld::JointExitBuilder::Side ( )

Returns the side edge preparation values will be applied to
Created in NX8.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2013 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.